xmlsec1 (1.3.10-1) experimental; urgency=medium

  * New upstream version 1.3.10

  * debian/*: upstream changed SONAME to reflect the package version. not
    ideal, but better than ABI breakages (which happens in 1.3.10, too).
    Adapt.
  * debian/*.symbols: update
  * debian/control: update B-D versions according to upstream release notes 
  * debian/rules: stop rm -f'ing docs/api/*.png

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Apr 2026 21:37:10 +0200

xmlsec1 (1.3.9-1) unstable; urgency=medium

  * New upstream version 1.3.9

  * debian/libxmlsec1-1.symbols: add new symbols

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Nov 2025 21:42:05 +0100

xmlsec1 (1.3.8-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 18 Oct 2025 08:55:57 +0200

xmlsec1 (1.3.8-1) experimental; urgency=medium

  * New upstream version 1.3.8

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Oct 2025 17:27:03 +0200

xmlsec1 (1.3.7-3) unstable; urgency=medium

  * debian/patches/libxml-2.15.diff: add upstream commit
    ef0e3b5cac04db13ce070b1e5bcad7dd7b0eb49b to fix build with libxml2 2.15

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Oct 2025 12:06:52 +0200

xmlsec1 (1.3.7-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Aug 2025 22:48:25 +0200

xmlsec1 (1.3.7-1) experimental; urgency=medium

  * New upstream version 1.3.7

  * drop -gcrypt variant (off upstream per default and no r-deps)
  * configure with --with-legacy-features for now
  * configure with --enable-ripemd160 to avoid loosing symbols

 -- Rene Engelhard <rene@debian.org>  Tue, 25 Mar 2025 17:42:27 +0100

xmlsec1 (1.3.6-1) experimental; urgency=medium

  * "New" upstream version 1.3.6

 -- Rene Engelhard <rene@debian.org>  Sun, 26 Jan 2025 10:35:48 +0100

xmlsec1 (1.3.5-1) experimental; urgency=medium

  * New upstream version 1.3.5

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jul 2024 12:52:45 +0200

xmlsec1 (1.3.4-2) experimental; urgency=medium

  * mention all people from Copyright in debian/copyright 

 -- Rene Engelhard <rene@debian.org>  Mon, 20 May 2024 09:59:53 +0200

xmlsec1 (1.3.4-1) experimental; urgency=medium

  * New upstream version 1.3.4

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Apr 2024 18:31:01 +0200

xmlsec1 (1.3.3-1) experimental; urgency=medium

  * New upstream version 1.3.3

  * debian/*: rename libxmlsec1t64 to libxmlsec1-1 and libxmlsec1t64-foo to
    libxmlsec1-foo1 to match a) SONAME b) policy 8.1 (the library name is
    xmlsec1).
    And as the ABI changed in 1.3.0 anyway we must rename the package anyway.

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Feb 2024 19:22:11 +0000

xmlsec1 (1.2.39-5) unstable; urgency=medium

  * build-depend on dpkg-dev (>= 1.22.5) to be sure 

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Feb 2024 11:42:29 +0000

xmlsec1 (1.2.39-4) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Feb 2024 06:12:28 +0100

xmlsec1 (1.2.39-3) experimental; urgency=medium

  * dh_installexamples -plibxmlsec1-dev (closes: #1064890) 

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Feb 2024 21:23:46 +0100

xmlsec1 (1.2.39-2) experimental; urgency=medium

  * add X-Time64-Compat: headers

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Feb 2024 19:37:13 +0100

xmlsec1 (1.2.39-1) experimental; urgency=medium

  * New upstream version 1.2.39

  * Rename libraries for 64-bit time_t transition.

  * piggyback on t64 rename; accept *Md5GetKlass symbol removals
    (shouldn't be used anyway and nothing in Debian actually uses it)

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Feb 2024 19:14:13 +0100

xmlsec1 (1.2.38-1) unstable; urgency=medium

  * New upstream version 1.2.38
  * rm various files in doc/ to clean (closes: #1047643)

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Dec 2023 15:36:32 +0100

xmlsec1 (1.2.37-2) unstable; urgency=medium

  * fix build/build-indep to have the same configure flags passed. Properly
    split build-arch/build-indep

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Dec 2022 19:03:58 +0100

xmlsec1 (1.2.37-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libssl-dev, libxml2-dev and
      libxslt1-dev.
    + libxmlsec1-dev: Drop versioned constraint on libssl-dev, libxml2-dev and
      libxslt1-dev in Depends.
    + libxmlsec1: Drop versioned constraint on libreoffice-core in Breaks.
    + libxmlsec1-doc: Drop versioned constraint on libxmlsec1-dev in Replaces.
    + libxmlsec1-doc: Drop versioned constraint on libxmlsec1-dev in Breaks.

  [ Rene Engelhard ]
  * New upstream version 1.2.37

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Nov 2022 18:30:49 +0100

xmlsec1 (1.2.36-2) unstable; urgency=medium

  * add .symbols files for the libraries 

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Nov 2022 11:07:13 +0100

xmlsec1 (1.2.36-1) experimental; urgency=medium

  * New upstream version 1.2.36

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Oct 2022 18:04:55 +0200

xmlsec1 (1.2.35-1) experimental; urgency=medium

  * New upstream version 1.2.35

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Oct 2022 21:10:50 +0200

xmlsec1 (1.2.34-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Jun 2022 12:14:37 +0200

xmlsec1 (1.2.34-1) experimental; urgency=medium

  * New upstream version 1.2.34

  * bump libnss3-dev build-dep to 2:3.72-2 and add build-conflicts against
    nspr << 2:4.32-3 to ensure build against nss.pc/nspr.pc (and not
    xulrunner-*)

 -- Rene Engelhard <rene@debian.org>  Wed, 18 May 2022 18:39:43 +0200

xmlsec1 (1.2.33-1) unstable; urgency=medium

  * New upstream version 1.2.33

  * remove build-dep on chrpath and use --enable-{docs,manpages}-build
    (closes: #981275)

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Nov 2021 22:38:39 +0100

xmlsec1 (1.2.32-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Aug 2021 08:21:51 +0200

xmlsec1 (1.2.32-1) experimental; urgency=medium

  * New upstream version 1.2.32

 -- Rene Engelhard <rene@debian.org>  Mon, 24 May 2021 18:33:26 +0200

xmlsec1 (1.2.31-1) unstable; urgency=medium

  * New upstream version 1.2.31

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Nov 2020 19:07:53 +0100

xmlsec1 (1.2.30-1) unstable; urgency=medium

  * "New" upstream version 1.2.30

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Sep 2020 11:07:29 +0200

xmlsec1 (1.2.28-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Jun 2019 10:22:36 +0200

xmlsec1 (1.2.28-1) experimental; urgency=medium

  * New upstream version 1.2.28

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Jun 2019 15:02:50 +0200

xmlsec1 (1.2.27-2) unstable; urgency=medium

  * upload to unstable

  * add Depends: ${misc:Depends} to libxmlsec1-doc, thanks lintian

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Nov 2018 11:01:38 +0000

xmlsec1 (1.2.27-1) experimental; urgency=medium

  * New upstream version 1.2.27

  * debian/patches/skip-online-tests.diff: remove ..
  * no-url-map-using-tests.diff: ... in favour of this. Remove tests
    which need url map stuff because they a) need to be online and b)
    require non-free files

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Oct 2018 21:14:15 +0000

xmlsec1 (1.2.26-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jun 2018 17:41:20 +0000

xmlsec1 (1.2.26-2) experimental; urgency=medium

  * fix libxmlsec1-doc

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jun 2018 14:03:06 +0200

xmlsec1 (1.2.26-1) experimental; urgency=medium

  * New upstream version 1.2.26

  * add Breaks: libreoffice-core (<< 1:6.0.5~rc2~)
  * add new Build-Depends(-Indep) for the docs
  * build a new libxmlsec1-doc package

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jun 2018 08:35:05 +0200

xmlsec1 (1.2.25-2) unstable; urgency=medium

  * Team upload.
  * d/control:
    + Add Vcs-* fields.
    + Run wrap-and-sort.
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Drop duplicated Section field.
    + Use HTTPS in the Homepage field.
  * d/watch: Use HTTPS.
  * d/rules: Rewrite using the dh sequencer.
  * d/README.Debian: Fix spelling errors.
  * Add lintian overrides for package-name-doesnt-match-sonames, as upstream
    promised to change package name whenever breaking ABI.
  * Bump debhelper compat level to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 15:53:54 +0200

xmlsec1 (1.2.25-1) unstable; urgency=medium

  * New upstream version 1.2.25
  * update libxml2-dev and libssl-dev (build-)deps according to
    configure.ac/*.pc
  * explicitly --enable-soap (now disabled per default)

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Sep 2017 18:40:26 +0200

xmlsec1 (1.2.24-4) unstable; urgency=medium

  * apply patch from Helmut Grohne to
    Configure with multiarch --libdir (closes: #869544)
  * add Multi-Arch: same to the library packages

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Jul 2017 22:34:08 +0000

xmlsec1 (1.2.24-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Jul 2017 10:09:31 +0200

xmlsec1 (1.2.24-2) experimental; urgency=medium

  * merge from Ubuntu:
    - Enable test suite execution during package build (closes: #774631)

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Jun 2017 21:15:16 +0200

xmlsec1 (1.2.24-1) unstable; urgency=medium

  * New upstream release (closes: #865539)
  * move Maintainer: to Debian XML/SGML Group; keep John in Uploaders:
    and add me

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Jun 2017 18:54:56 +0200

xmlsec1 (1.2.23-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, builds against OpenSSL 1.1.0 (Closes: #828606).
  * Drop patches (examples_encrypt3.patch + examples_rootcert.patch) both
    applied upstream.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 15 Dec 2016 21:09:18 +0100

xmlsec1 (1.2.20-2) unstable; urgency=low

  * Add upstream patches to fix examples.

 -- John V. Belmonte <jbelmonte@debian.org>  Mon, 07 Jul 2014 21:09:35 -0700

xmlsec1 (1.2.20-1) unstable; urgency=low

  * New upstream release
  * Upgrade libgnutls and libgcrypt dependencies (Closes: #753151)
  * Use dh-autoreconf
  * Debian standards 3.9.5

 -- John V. Belmonte <jbelmonte@debian.org>  Fri, 04 Jul 2014 14:15:39 -0700

xmlsec1 (1.2.18-2) unstable; urgency=low

  * Add upstream patch which fixes version check utility function (Bug #675513)

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 26 Jul 2012 21:15:41 -0400

xmlsec1 (1.2.18-1) unstable; urgency=low

  * New upstream release (including CVE-2011-1425, Closes: #604828)
  * Incorporate NMU for la file removal and hardened build flags
  * Fix example linker flags (Closes: #647453)
  * Add build-arch and build-indep targets to rules
  * Add misc-depends entry to binaries
  * Confirm Debian standards 3.9.3
  * Switch to dpkg-source 3.0 (quilt) format

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 22 Apr 2012 10:32:43 -0400

xmlsec1 (1.2.14-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Bug #656655)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 06 Apr 2012 21:31:59 +0200

xmlsec1 (1.2.14-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs in libtool la file. Closes: #610239
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Apr 2011 08:53:37 +0200

xmlsec1 (1.2.14-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Apply patch from upstream addressing arbitrary file overwrite
    (CVE-2011-1425, closes: #620560).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 09 Apr 2011 17:40:24 +0200

xmlsec1 (1.2.14-1) unstable; urgency=low

  * New upstream release, fixes CVE-2009-3736 (Closes: #559831)
  * debian/rules: dh_prep instead of dh_clean

 -- John V. Belmonte <jbelmonte@debian.org>  Tue, 08 Dec 2009 21:47:36 -0500

xmlsec1 (1.2.12-1) unstable; urgency=low

  * New upstream release, fixes CVE-2009-0217 (Closes: #532751, #529918)
  * Update debian/watch
  * Upgrade to latest debhelper version
  * In debian/control:
    * add Homepage
    * remove use of ${Source-Version}
  * In debian/rules:
    * fix distclean call
    * $(CURDIR) instead of $(PWD)
    * remove xulrunner hack since upstream now supports it in configure
    * strip RPATH's caused by bug in upstream's libtool version
  * Confirm Debian standards 3.8.3

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 05 Sep 2009 18:21:58 -0400

xmlsec1 (1.2.9-5) unstable; urgency=low

  * Remove shlibs.local (Closes: #379445)
  * Add minimum versions to Build-Depends and -dev Depends

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 30 Jul 2006 22:27:01 -0400

xmlsec1 (1.2.9-4) unstable; urgency=low

  * Fix gnutls dependency in shlibs.local (Closes: #379390)

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 23 Jul 2006 10:46:53 -0400

xmlsec1 (1.2.9-3) unstable; urgency=low

  * Adjust gnutls dependency (Closes: #335771)
  * Adjust libxml2 min version

 -- John V. Belmonte <jbelmonte@debian.org>  Mon, 26 Jun 2006 20:48:41 -0400

xmlsec1 (1.2.9-2) unstable; urgency=low

  * Add engine libraries to depends of dev package
  * Switch to mozilla libs provided by xulrunner package (Closes: #364382)
  * Confirm Debian standards 3.7.2

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 08 Jun 2006 21:52:55 -0400

xmlsec1 (1.2.9-1) unstable; urgency=low

  * New upstream release (Closes: #319807)
  * Upgrade to Debian standards 3.6.2

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 17 Sep 2005 09:36:11 -0400

xmlsec1 (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 26 Aug 2004 15:07:52 -0400

xmlsec1 (1.2.4-3) unstable; urgency=low

  * Adjust gnutls dependency (Closes: #263626)
  * Add debian/watch

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 5 Aug 2004 12:09:42 -0400

xmlsec1 (1.2.4-2) unstable; urgency=low

  * Change maintainer address
  * Adjust libxslt dependency (Closes: #261831)

 -- John V. Belmonte <jbelmonte@debian.org>  Mon, 2 Aug 2004 10:05:04 -0400

xmlsec1 (1.2.4-1) unstable; urgency=low

  * New upstream release (Closes: #228531)
  * Add binary for nss crypto engine
  * Upgrade gnutls dependency to gnutls10

 -- John V. Belmonte <jvb@prairienet.org>  Tue, 27 Jan 2004 12:49:49 -0500

xmlsec1 (1.1.1-2) unstable; urgency=low

  * Upgrade to Debian standards 3.6.1
  * In debian/rules:
    * remove unused "nostrip" logic
    * replace use of $CURDIR with `pwd`
    * remove unused debhelper calls
    * convert from dh_movefiles to dh_install
    * omit makefiles and SGML files from HTML docs

 -- John V. Belmonte <jvb@prairienet.org>  Mon, 13 Oct 2003 15:43:41 -0400

xmlsec1 (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Add soname number to build/-dev depends for libgnutls
  * Add version to build/-dev depends for libssl since no
    libssl<soname_number>-dev is available
  * In README.Debian, clarify restriction on use of openssl crypto engine
    by GPL'd official Debian packages
  * In README.Debian, more about the yet unpackaged nss crypto engine

 -- John V. Belmonte <jvb@prairienet.org>  Sun, 24 Aug 2003 06:39:56 -0400

xmlsec1 (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Add pkg-config files (Closes: #203376)
  * Downplay xmlsec1-config in README.Debian, package descriptions
  * Remove some upstream workarounds from debian/rules

 -- John V. Belmonte <jvb@prairienet.org>  Mon, 11 Aug 2003 10:05:06 -0400

xmlsec1 (1.0.4-2) unstable; urgency=low

  * No change, except this time my sponsor won't accidentally mutilate the
    package before uploading :-)

 -- John V. Belmonte <jvb@prairienet.org>  Fri, 18 Jul 2003 01:11:45 -0400

xmlsec1 (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Update README.Debian regarding nss engine support
  * Fix typo in libxmlsec1 description
  * Remove some upstream workarounds from debian/rules

 -- John V. Belmonte <jvb@prairienet.org>  Tue, 15 Jul 2003 21:23:11 -0400

xmlsec1 (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #194270)
  * change source name for xmlsec1 series
  * change dev package section to libdevel

 -- John V. Belmonte <jvb@prairienet.org>  Tue, 17 Jun 2003 23:19:17 -0400

xmlsec (0.0.14-1) unstable; urgency=low

  * New upstream release
  * upgrade to Debian standards 3.5.9

 -- John V. Belmonte <jvb@prairienet.org>  Fri, 28 Mar 2003 14:21:10 -0500

xmlsec (0.0.12-1) unstable; urgency=low

  * Initial Release (Closes: #152605)

 -- John V. Belmonte <jvb@prairienet.org>  Tue, 11 Feb 2003 14:58:00 -0500
